Retrieve Purchase Orders by ID

GA
Retrieve Purchase Orders by ID

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

source-system-idstringRequired

Response

This endpoint returns an object.
source_system_idstring
Unique identifier of the purchase order line in the erp system. This value will be used to match source data and perform upserts.
vendor_idstring

Id of the Vendor/Supplier. This value should match the source_vendors->g_source_system_id which will be used to send back as part of JE to ERP.

po_idstring
System Id of the purchase order record.
po_numberstring
PO number value.
po_line_idstring
System Id of the purchase order line.
po_line_amountdouble
Total amount in transaction currency of the PO line.
po_line_statusstring
Status of the PO line. Status will be leveraged to filter lines that are not active anymore.
transaction_currency_idstring

Currency id in which the transaction was posted in the gl. Should match the g_source_system_id in the currency list of source_coas.

po_header_descriptionstringOptional
Description of the purchase order.
po_line_descriptionstringOptional
Description of the PO line.
po_header_amountdoubleOptional
Total amount at the header level of the PO in transaction currency.
po_ownerstringOptional
Name of the PO owner.
service_end_datedateOptional
End date of the PO line.
service_start_datedateOptional
Start date of the PO line.
invoiced_amountdoubleOptional
Amount invoiced in transaction currency of the PO line.
po_balancedoubleOptional
Balance remaining in transaction currency of the PO line.
emailstringOptional
Email of the PO owner.
subsidiary_idstringOptional

Subsidiary id linked to the po line. This value should match the g_source_system_id in source_coas.

subsidiary_currency_idstringOptional

Subsidiary currency id of the posted transaction line in the gl. Should match the name in the currency list of source_coas.

glaccount_debit_idstringOptional

Expense glaccount id linked to the po line. This value should match the g_source_system_id in source_coas.

glaccount_credit_idstringOptional

Liability glaccount id linked to the po line. This value should match the g_source_system_id in source_coas.

department_debit_idstringOptional

Expense department/cost center id linked to the po line. This value should match the g_source_system_id in source_coas

department_credit_idstringOptional

Liability department/cost center id linked to the po line. This value should match the g_source_system_id in source_coas.

location_debit_idstringOptional

Expense location id linked to the po line. This value should match the g_source_system_id in source_coas.

location_credit_idstringOptional

Liability location id linked to the po line. This value should match the g_source_system_id in source_coas.

class_debit_idstringOptional

Expense class id linked to the po line. This value should match the g_source_system_id in source_coas.

class_credit_idstringOptional

Liability class id linked to the po line. This value should match the g_source_system_id in source_coas.

product_debit_idstringOptional

Expense product id linked to the po line. This value should match the g_source_system_id in source_coas.

product_credit_idstringOptional

Liability product id linked to the po line. This value should match the g_source_system_id in source_coas.

project_debit_idstringOptional

Expense project id linked to the po line. This value should match the g_source_system_id in source_coas.

project_credit_idstringOptional

Liability project id linked to the po line. This value should match the g_source_system_id in source_coas.

region_debit_idstringOptional

Expense region id linked to the po line. This value should match the g_source_system_id in source_coas.

region_credit_idstringOptional

Liability region id linked to the po line. This value should match the g_source_system_id in source_coas.

company_debit_idstringOptional

Expense company id linked to the po line. This value should match the g_source_system_id in source_coas.

company_credit_idstringOptional

Liability company id linked to the po line. This value should match the g_source_system_id in source_coas.

intercompany_debit_idstringOptional

Expense intercompany id linked to the po line. This value should match the g_source_system_id in source_coas.

intercompany_credit_idstringOptional

Liability intercompany id linked to the po line. This value should match the g_source_system_id in source_coas.

channel_debit_idstringOptional

Expense channel id linked to the po line. This value should match the g_source_system_id in source_coas.

channel_credit_idstringOptional

Liability channel id linked to the po line. This value should match the g_source_system_id in source_coas.

po_line_amount_cancelleddoubleOptional
Any po line amount that has been canceled.
cc_emailstringOptional

CC emails to be used as part of outreach. Emails should be ”;” separated.

po_datedateOptional
PO creation date
po_line_amount_usddoubleOptional
po_balance_usddoubleOptional
prepaid_accountstringOptional

GL account name used for prepaid expenses when posting prepaid journal entries. Links to source_coas name.

prepaid_account_idstringOptional

GL account ID used for prepaid expenses when posting prepaid journal entries. Links to source_coas source_system_id.

custom_text_1stringOptional

User-defined custom text field

custom_text_2stringOptional

User-defined custom text field

custom_text_3stringOptional

User-defined custom text field

custom_text_4stringOptional

User-defined custom text field

custom_text_5stringOptional

User-defined custom text field

custom_date_1dateOptional

User-defined custom date field

custom_date_2dateOptional

User-defined custom date field

custom_date_3dateOptional

User-defined custom date field

custom_date_4dateOptional

User-defined custom date field

custom_date_5dateOptional

User-defined custom date field

custom_numeric_1doubleOptional

User-defined custom numeric field

custom_numeric_2doubleOptional

User-defined custom numeric field

custom_numeric_3doubleOptional

User-defined custom numeric field

custom_numeric_4doubleOptional

User-defined custom numeric field

custom_numeric_5doubleOptional

User-defined custom numeric field

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error